package ru.pricepulse.parsingservice.wildberries_parser.configuration;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "marketplace.wildberries")
@Getter
@Setter
public class WbProperties {
    private String baseUrl;
    private String catalogUrl;
    private String userAgent;
    private String catalogWbUrl;
    private int retryAttempts;
    private long retryDelay;
    private String laptopUrl;
    private String shard;
}
